Status: Resolved Priority: Must have

Author: Martin Briiggemann Category: Persistence
Created: 2011-05-01 Assigned To: Karsten Dambekalns
Updated: 2011-05-17 Due date:

PHP Version:

Has patch:

Complexity:
Subject: Autoincrement unique identifiers not working anymore

Description

| used the @Id and @GeneratedValue properties as seen in the blog example package to have short urls with integer identifiers like
/ticket/234 instead of FLOWS standard resource identifiers. Unfortunately it dosn't work with relations.

Uncaught Exception in FLOW3 Column name “flow3_persistence_identifier’ referenced for relation from
F3\Guruhelp\Domain\Model\Message towards F3\Guruhelp\Domain\Model\Ticket does not exist. thrown in file
Packages/Framework/FLOW3/Resources/PHP/Doctrine/ORM/Tools/SchemaTool.php in line 485

This is an example model

<?php
declare(ENCODING = 'utf-8");
namespace F3\Guruhelp\Domain\Model;

Jo*
* @scope prototype
* @entity
*/

class Ticket {

e
* @identity

* This ID is only for the ORM.
* @var integer

*@ld

* @GeneratedValue

*/

protected $id;

[.]

Je
* @var \F3\Guruhelp\Domain\Model\Project
* @ManyToOne(inversedBy="tickets")

*/
protected $project;

[.]
Associated revisions

Revision 2d57b451 - 2011-05-09 10:54 - Karsten Dambekalns
[FEATURE][BUGFIX] Calculate referenced column names from class code
When no referenced column names are given in a model, determine them by
looking at properties annotated with @Id. If no property is found, then
flow3_persistence_identifier is used, if one property is found, that is

used.

Change-Id: If2a4612a326b6fbdfa4a27363c491723ae5cf1e7

Fixes: #26542

History

#1 - 2011-05-02 10:50 - Karsten Dambekalns
- Status changed from New to Accepted
- Target version set to 1.0 beta 1

Most probably caused the the todo at http:/bit.ly/iIPPbR

#2 - 2011-05-09 10:55 - Mr. Hudson

Patch set 1 of change If2a4612a326b6fbdfa4a27363c491723ae5cf1e7 has been pushed to the review server.

It is available at http://review.typo3.org/1959

#3 - 2011-05-09 10:55 - Karsten Dambekalns

- Status changed from Accepted to Under Review
#4 - 2011-05-17 21:51 - Karsten Dambekalns

- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
